// Code generated by protoc-gen-go. DO NOT EDIT.
// source: messages.proto

package interfaces

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Routers struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Prefix        []string          `protobuf:"bytes,1,rep,name=Prefix,proto3" json:"Prefix,omitempty" yaml:"prefix,omitempty" gorm:"column:prefix" mapstructure:"prefix"`                                                                                          
	Backend       string            `protobuf:"bytes,2,opt,name=Backend,proto3" json:"Backend,omitempty" yaml:"backend,omitempty" gorm:"column:backend" mapstructure:"backend"`                                                                                        
	Protected     bool              `protobuf:"varint,3,opt,name=Protected,proto3" json:"Protected,omitempty" yaml:"protected,omitempty" gorm:"column:protected" mapstructure:"protected"`                                                                                   
	AuthConfig    *AuthConfig       `protobuf:"bytes,4,opt,name=AuthConfig,proto3" json:"AuthConfig,omitempty" yaml:"authConfig,omitempty" gorm:"column:authConfig" mapstructure:"authConfig"`                                                                                  
	EnableTracing bool              `protobuf:"varint,5,opt,name=EnableTracing,proto3" json:"EnableTracing,omitempty" yaml:"enableTracing,omitempty" gorm:"column:enableTracing" mapstructure:"enableTracing"`                                                                           
	Function      []string          `protobuf:"bytes,6,rep,name=Function,proto3" json:"Function,omitempty" yaml:"function,omitempty" gorm:"column:function" mapstructure:"function"`                                                                                      
	Labels        map[string]string `protobuf:"bytes,7,rep,name=Labels,proto3" json:"Labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3" yaml:"labels,omitempty"`  
}

func (x *Routers) Reset() {
	*x = Routers{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Routers) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Routers) ProtoMessage() {}

func (x *Routers) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Routers.ProtoReflect.Descriptor instead.
func (*Routers) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{0}
}

func (x *Routers) GetPrefix() []string {
	if x != nil {
		return x.Prefix
	}
	return nil
}

func (x *Routers) GetBackend() string {
	if x != nil {
		return x.Backend
	}
	return ""
}

func (x *Routers) GetProtected() bool {
	if x != nil {
		return x.Protected
	}
	return false
}

func (x *Routers) GetAuthConfig() *AuthConfig {
	if x != nil {
		return x.AuthConfig
	}
	return nil
}

func (x *Routers) GetEnableTracing() bool {
	if x != nil {
		return x.EnableTracing
	}
	return false
}

func (x *Routers) GetFunction() []string {
	if x != nil {
		return x.Function
	}
	return nil
}

func (x *Routers) GetLabels() map[string]string {
	if x != nil {
		return x.Labels
	}
	return nil
}

type Routing struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name    string            `protobuf:"bytes,1,opt,name=Name,proto3" json:"Name,omitempty" yaml:"name,omitempty" validate:"required" gorm:"column:name;primaryKey" mapstructure:"name"`                                                                                              
	Domain  []string          `protobuf:"bytes,2,rep,name=Domain,proto3" json:"Domain,omitempty" yaml:"domain,omitempty" gorm:"column:domain" mapstructure:"domain"`                                                                                          
	Routers []*Routers        `protobuf:"bytes,3,rep,name=Routers,proto3" json:"Routers,omitempty" yaml:"routers"`                                                                                        
	Labels  map[string]string `protobuf:"bytes,4,rep,name=Labels,proto3" json:"Labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3" yaml:"labels,omitempty"`  
}

func (x *Routing) Reset() {
	*x = Routing{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Routing) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Routing) ProtoMessage() {}

func (x *Routing) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Routing.ProtoReflect.Descriptor instead.
func (*Routing) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{1}
}

func (x *Routing) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Routing) GetDomain() []string {
	if x != nil {
		return x.Domain
	}
	return nil
}

func (x *Routing) GetRouters() []*Routers {
	if x != nil {
		return x.Routers
	}
	return nil
}

func (x *Routing) GetLabels() map[string]string {
	if x != nil {
		return x.Labels
	}
	return nil
}

type DockerDiscovery struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Network            string `protobuf:"bytes,1,opt,name=Network,proto3" json:"Network,omitempty" yaml:"network,omitempty" gorm:"column:network" mapstructure:"network"`                         
	Port               int32  `protobuf:"varint,2,opt,name=Port,proto3" json:"Port,omitempty" yaml:"port,omitempty" gorm:"column:port" mapstructure:"port"`                              
	Secure             bool   `protobuf:"varint,3,opt,name=Secure,proto3" json:"Secure,omitempty" yaml:"secure,omitempty" gorm:"column:secure" mapstructure:"secure"`                          
	Pem                string `protobuf:"bytes,4,opt,name=Pem,proto3" json:"Pem,omitempty" yaml:"pem,omitempty" gorm:"column:pem" mapstructure:"pem"`                                 
	Proto              string `protobuf:"bytes,5,opt,name=Proto,proto3" json:"Proto,omitempty" yaml:"proto,omitempty" gorm:"column:proto" mapstructure:"proto"`                             
	MaxRequest         int64  `protobuf:"varint,6,opt,name=MaxRequest,proto3" json:"MaxRequest,omitempty" yaml:"maxRequest,omitempty" gorm:"column:maxRequest" mapstructure:"maxRequest"`                  
	InsecureSkipVerify bool   `protobuf:"varint,7,opt,name=InsecureSkipVerify,proto3" json:"InsecureSkipVerify,omitempty" yaml:"insecureSkipVerify,omitempty" gorm:"column:insecureSkipVerify" mapstructure:"insecureSkipVerify"`  
	HealthCheck        string `protobuf:"bytes,8,opt,name=HealthCheck,proto3" json:"HealthCheck,omitempty" yaml:"healthcheck,omitempty" gorm:"column:healthcheck" mapstructure:"healthcheck"`                 
	Driver             string `protobuf:"bytes,9,opt,name=Driver,proto3" json:"Driver,omitempty" yaml:"driver,omitempty" gorm:"column:driver" mapstructure:"driver"`                           
}

func (x *DockerDiscovery) Reset() {
	*x = DockerDiscovery{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DockerDiscovery) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DockerDiscovery) ProtoMessage() {}

func (x *DockerDiscovery) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DockerDiscovery.ProtoReflect.Descriptor instead.
func (*DockerDiscovery) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{2}
}

func (x *DockerDiscovery) GetNetwork() string {
	if x != nil {
		return x.Network
	}
	return ""
}

func (x *DockerDiscovery) GetPort() int32 {
	if x != nil {
		return x.Port
	}
	return 0
}

func (x *DockerDiscovery) GetSecure() bool {
	if x != nil {
		return x.Secure
	}
	return false
}

func (x *DockerDiscovery) GetPem() string {
	if x != nil {
		return x.Pem
	}
	return ""
}

func (x *DockerDiscovery) GetProto() string {
	if x != nil {
		return x.Proto
	}
	return ""
}

func (x *DockerDiscovery) GetMaxRequest() int64 {
	if x != nil {
		return x.MaxRequest
	}
	return 0
}

func (x *DockerDiscovery) GetInsecureSkipVerify() bool {
	if x != nil {
		return x.InsecureSkipVerify
	}
	return false
}

func (x *DockerDiscovery) GetHealthCheck() string {
	if x != nil {
		return x.HealthCheck
	}
	return ""
}

func (x *DockerDiscovery) GetDriver() string {
	if x != nil {
		return x.Driver
	}
	return ""
}

type Backend struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name            string            `protobuf:"bytes,1,opt,name=Name,proto3" json:"Name,omitempty" yaml:"name,omitempty" validate:"required" gorm:"column:name;primaryKey" mapstructure:"name"`                                                                                              
	Mode            string            `protobuf:"bytes,2,opt,name=Mode,proto3" json:"Mode,omitempty" yaml:"mode,omitempty" gorm:"column:mode" mapstructure:"mode"`                                                                                              
	Driver          string            `protobuf:"bytes,3,opt,name=Driver,proto3" json:"Driver,omitempty" yaml:"driver,omitempty" gorm:"column:driver" mapstructure:"driver"`                                                                                          
	Server          []*Server         `protobuf:"bytes,4,rep,name=Server,proto3" json:"Server,omitempty" yaml:"server,omitempty" gorm:"column:server" mapstructure:"server"`                                                                                          
	Labels          map[string]string `protobuf:"bytes,5,rep,name=Labels,proto3" json:"Labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3" yaml:"labels,omitempty"`  
	DockerDiscovery *DockerDiscovery  `protobuf:"bytes,6,opt,name=DockerDiscovery,proto3" json:"DockerDiscovery,omitempty" yaml:"dockerDiscovery,omitempty"`                                                                        
}

func (x *Backend) Reset() {
	*x = Backend{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Backend) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Backend) ProtoMessage() {}

func (x *Backend) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Backend.ProtoReflect.Descriptor instead.
func (*Backend) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{3}
}

func (x *Backend) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Backend) GetMode() string {
	if x != nil {
		return x.Mode
	}
	return ""
}

func (x *Backend) GetDriver() string {
	if x != nil {
		return x.Driver
	}
	return ""
}

func (x *Backend) GetServer() []*Server {
	if x != nil {
		return x.Server
	}
	return nil
}

func (x *Backend) GetLabels() map[string]string {
	if x != nil {
		return x.Labels
	}
	return nil
}

func (x *Backend) GetDockerDiscovery() *DockerDiscovery {
	if x != nil {
		return x.DockerDiscovery
	}
	return nil
}

type Vault struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name    string   `protobuf:"bytes,1,opt,name=Name,proto3" json:"Name,omitempty" yaml:"name"`        
	Address string   `protobuf:"bytes,2,opt,name=Address,proto3" json:"Address,omitempty" yaml:"address"`  
	Token   string   `protobuf:"bytes,3,opt,name=Token,proto3" json:"Token,omitempty" yaml:"token"`      
	Keys    []string `protobuf:"bytes,4,rep,name=Keys,proto3" json:"Keys,omitempty" yaml:"keys"`        
}

func (x *Vault) Reset() {
	*x = Vault{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Vault) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Vault) ProtoMessage() {}

func (x *Vault) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Vault.ProtoReflect.Descriptor instead.
func (*Vault) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{4}
}

func (x *Vault) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Vault) GetAddress() string {
	if x != nil {
		return x.Address
	}
	return ""
}

func (x *Vault) GetToken() string {
	if x != nil {
		return x.Token
	}
	return ""
}

func (x *Vault) GetKeys() []string {
	if x != nil {
		return x.Keys
	}
	return nil
}

type Listener struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name             string            `protobuf:"bytes,1,opt,name=Name,proto3" json:"Name,omitempty" yaml:"name,omitempty" validate:"required" gorm:"column:name;primaryKey" mapstructure:"name"`                                                                                               
	Pem              string            `protobuf:"bytes,2,opt,name=Pem,proto3" json:"Pem,omitempty" yaml:"pem,omitempty" gorm:"column:pem" mapstructure:"pem"`                                                                                                 
	Port             int32             `protobuf:"varint,3,opt,name=Port,proto3" json:"Port,omitempty" yaml:"port,omitempty" gorm:"column:port" mapstructure:"port"`                                                                                              
	Listen           string            `protobuf:"bytes,4,opt,name=Listen,proto3" json:"Listen,omitempty" yaml:"listen,omitempty" gorm:"column:listen" mapstructure:"listen"`                                                                                           
	Secure           bool              `protobuf:"varint,5,opt,name=Secure,proto3" json:"Secure,omitempty" yaml:"secure,omitempty" gorm:"column:secure" mapstructure:"secure"`                                                                                          
	Mode             string            `protobuf:"bytes,6,opt,name=Mode,proto3" json:"Mode,omitempty" yaml:"mode,omitempty" gorm:"column:mode" mapstructure:"mode" validate:"oneof='http' 'tcp' 'http-proxy' 'socks' 'forwarding' 'forwarding-reverse'"`                                                                                               
	Transport        string            `protobuf:"bytes,7,opt,name=Transport,proto3" json:"Transport,omitempty" yaml:"transport,omitempty" gorm:"column:transport" mapstructure:"transport"`                                                                                     
	Destination      string            `protobuf:"bytes,8,opt,name=Destination,proto3" json:"Destination,omitempty" yaml:"destination,omitempty" gorm:"column:destination" mapstructure:"destination"`                                                                                 
	Routing          []string          `protobuf:"bytes,9,rep,name=Routing,proto3" json:"Routing,omitempty" yaml:"routing,omitempty" gorm:"column:routing" mapstructure:"routing"`                                                                                         
	Allow            []string          `protobuf:"bytes,10,rep,name=Allow,proto3" json:"Allow,omitempty" yaml:"allow,omitempty" gorm:"-" mapstructure:"-"`                                                                                            
	TransportOption  *Transport        `protobuf:"bytes,11,opt,name=TransportOption,proto3" json:"TransportOption,omitempty" yaml:"-" gorm:"-" mapstructure:"-"`                                                                        
	Labels           map[string]string `protobuf:"bytes,12,rep,name=Labels,proto3" json:"Labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3" yaml:"labels,omitempty"`  
	MaxRequest       int32             `protobuf:"varint,13,opt,name=MaxRequest,proto3" json:"MaxRequest,omitempty" yaml:"maxRequest,omitempty"`                                                                                 
	AutoReloadPemDir bool              `protobuf:"varint,14,opt,name=AutoReloadPemDir,proto3" json:"AutoReloadPemDir,omitempty" yaml:"autoReloadPemDir" gorm:"column:autoReloadPemDir" mapstructure:"autoReloadPemDir"`                                                                     
	Vault            *Vault            `protobuf:"bytes,15,opt,name=Vault,proto3" json:"Vault,omitempty" yaml:"vault" gorm:"-" mapstructure:"-"`                                                                                            
}

func (x *Listener) Reset() {
	*x = Listener{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Listener) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Listener) ProtoMessage() {}

func (x *Listener) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Listener.ProtoReflect.Descriptor instead.
func (*Listener) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{5}
}

func (x *Listener) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Listener) GetPem() string {
	if x != nil {
		return x.Pem
	}
	return ""
}

func (x *Listener) GetPort() int32 {
	if x != nil {
		return x.Port
	}
	return 0
}

func (x *Listener) GetListen() string {
	if x != nil {
		return x.Listen
	}
	return ""
}

func (x *Listener) GetSecure() bool {
	if x != nil {
		return x.Secure
	}
	return false
}

func (x *Listener) GetMode() string {
	if x != nil {
		return x.Mode
	}
	return ""
}

func (x *Listener) GetTransport() string {
	if x != nil {
		return x.Transport
	}
	return ""
}

func (x *Listener) GetDestination() string {
	if x != nil {
		return x.Destination
	}
	return ""
}

func (x *Listener) GetRouting() []string {
	if x != nil {
		return x.Routing
	}
	return nil
}

func (x *Listener) GetAllow() []string {
	if x != nil {
		return x.Allow
	}
	return nil
}

func (x *Listener) GetTransportOption() *Transport {
	if x != nil {
		return x.TransportOption
	}
	return nil
}

func (x *Listener) GetLabels() map[string]string {
	if x != nil {
		return x.Labels
	}
	return nil
}

func (x *Listener) GetMaxRequest() int32 {
	if x != nil {
		return x.MaxRequest
	}
	return 0
}

func (x *Listener) GetAutoReloadPemDir() bool {
	if x != nil {
		return x.AutoReloadPemDir
	}
	return false
}

func (x *Listener) GetVault() *Vault {
	if x != nil {
		return x.Vault
	}
	return nil
}

type Server struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name               string            `protobuf:"bytes,1,opt,name=Name,proto3" json:"Name,omitempty" yaml:"name,omitempty" validate:"required" gorm:"column:name;primaryKey" mapstructure:"name"`                                                                                               
	Service            string            `protobuf:"bytes,2,opt,name=Service,proto3" json:"Service,omitempty" yaml:"service,omitempty" validate:"required" gorm:"column:service" mapstructure:"service"`                                                                                         
	Driver             string            `protobuf:"bytes,3,opt,name=Driver,proto3" json:"Driver,omitempty" yaml:"driver,omitempty" gorm:"column:driver" mapstructure:"driver"`                                                                                           
	Url                string            `protobuf:"bytes,4,opt,name=Url,proto3" json:"Url,omitempty" yaml:"url,omitempty" gorm:"column:url" mapstructure:"url"`                                                                                                 
	Secure             bool              `protobuf:"varint,5,opt,name=Secure,proto3" json:"Secure,omitempty" yaml:"secure,omitempty" gorm:"column:secure" mapstructure:"secure"`                                                                                          
	Pem                string            `protobuf:"bytes,6,opt,name=Pem,proto3" json:"Pem,omitempty" yaml:"pem,omitempty" gorm:"column:pem" mapstructure:"pem"`                                                                                                 
	Proto              string            `protobuf:"bytes,7,opt,name=Proto,proto3" json:"Proto,omitempty" yaml:"proto,omitempty" gorm:"column:proto" mapstructure:"proto"`                                                                                             
	MaxRequest         int64             `protobuf:"varint,8,opt,name=MaxRequest,proto3" json:"MaxRequest,omitempty" yaml:"maxRequest,omitempty" gorm:"column:maxRequest" mapstructure:"maxRequest"`                                                                                  
	InsecureSkipVerify bool              `protobuf:"varint,9,opt,name=InsecureSkipVerify,proto3" json:"InsecureSkipVerify,omitempty" yaml:"insecureSkipVerify,omitempty" gorm:"column:insecureSkipVerify" mapstructure:"insecureSkipVerify"`                                                                  
	HealthCheck        string            `protobuf:"bytes,10,opt,name=HealthCheck,proto3" json:"HealthCheck,omitempty" yaml:"healthcheck,omitempty" gorm:"column:healthcheck" mapstructure:"healthcheck"`                                                                                
	Labels             map[string]string `protobuf:"bytes,11,rep,name=Labels,proto3" json:"Labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3" yaml:"labels,omitempty"`  
	Backend            string            `protobuf:"bytes,12,opt,name=Backend,proto3" json:"Backend,omitempty" yaml:"backend,omitempty" validate:"required" gorm:"column:service" mapstructure:"service"`                                                                                        
	Options            []string          `protobuf:"bytes,13,rep,name=Options,proto3" json:"Options,omitempty" yaml:"options,omitempty"`                                                                                        
}

func (x *Server) Reset() {
	*x = Server{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Server) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Server) ProtoMessage() {}

func (x *Server) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Server.ProtoReflect.Descriptor instead.
func (*Server) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{6}
}

func (x *Server) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Server) GetService() string {
	if x != nil {
		return x.Service
	}
	return ""
}

func (x *Server) GetDriver() string {
	if x != nil {
		return x.Driver
	}
	return ""
}

func (x *Server) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

func (x *Server) GetSecure() bool {
	if x != nil {
		return x.Secure
	}
	return false
}

func (x *Server) GetPem() string {
	if x != nil {
		return x.Pem
	}
	return ""
}

func (x *Server) GetProto() string {
	if x != nil {
		return x.Proto
	}
	return ""
}

func (x *Server) GetMaxRequest() int64 {
	if x != nil {
		return x.MaxRequest
	}
	return 0
}

func (x *Server) GetInsecureSkipVerify() bool {
	if x != nil {
		return x.InsecureSkipVerify
	}
	return false
}

func (x *Server) GetHealthCheck() string {
	if x != nil {
		return x.HealthCheck
	}
	return ""
}

func (x *Server) GetLabels() map[string]string {
	if x != nil {
		return x.Labels
	}
	return nil
}

func (x *Server) GetBackend() string {
	if x != nil {
		return x.Backend
	}
	return ""
}

func (x *Server) GetOptions() []string {
	if x != nil {
		return x.Options
	}
	return nil
}

type Transport struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name          string            `protobuf:"bytes,1,opt,name=Name,proto3" json:"Name,omitempty" yaml:"name,omitempty" validate:"required" gorm:"column:name;primaryKey" mapstructure:"name"`                                                                                               
	Driver        string            `protobuf:"bytes,2,opt,name=Driver,proto3" json:"Driver,omitempty" yaml:"driver,omitempty" validate:"required" gorm:"column:driver" mapstructure:"driver"`                                                                                           
	SSHHost       string            `protobuf:"bytes,3,opt,name=SSHHost,proto3" json:"SSHHost,omitempty" yaml:"sshHost,omitempty" gorm:"column:sshHost" mapstructure:"sshHost"`                                                                                         
	SSHUser       string            `protobuf:"bytes,4,opt,name=SSHUser,proto3" json:"SSHUser,omitempty" yaml:"sshUser,omitempty" gorm:"column:sshUser" mapstructure:"sshUser"`                                                                                         
	SSHPort       int32             `protobuf:"varint,5,opt,name=SSHPort,proto3" json:"SSHPort,omitempty" yaml:"sshPort,omitempty" gorm:"column:sshPort" mapstructure:"sshPort"`                                                                                        
	SSHPassword   string            `protobuf:"bytes,6,opt,name=SSHPassword,proto3" json:"SSHPassword,omitempty" yaml:"sshPassword,omitempty" gorm:"column:sshPassword" mapstructure:"sshPassword"`                                                                                 
	SSHPrivateKey string            `protobuf:"bytes,7,opt,name=SSHPrivateKey,proto3" json:"SSHPrivateKey,omitempty" yaml:"sshPrivateKey,omitempty" gorm:"column:sshPrivateKey" mapstructure:"sshPrivateKey"`                                                                             
	SSHPassphrase string            `protobuf:"bytes,8,opt,name=SSHPassphrase,proto3" json:"SSHPassphrase,omitempty" yaml:"sshPassphrase,omitempty" gorm:"column:sshPassphrase" mapstructure:"sshPassphrase"`                                                                             
	SSHTimeout    int32             `protobuf:"varint,9,opt,name=SSHTimeout,proto3" json:"SSHTimeout,omitempty" yaml:"sshTimeout,omitempty" gorm:"column:sshTimeout" mapstructure:"sshTimeout"`                                                                                  
	Labels        map[string]string `protobuf:"bytes,10,rep,name=Labels,proto3" json:"Labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3" yaml:"labels,omitempty"`  
}

func (x *Transport) Reset() {
	*x = Transport{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Transport) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Transport) ProtoMessage() {}

func (x *Transport) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Transport.ProtoReflect.Descriptor instead.
func (*Transport) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{7}
}

func (x *Transport) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Transport) GetDriver() string {
	if x != nil {
		return x.Driver
	}
	return ""
}

func (x *Transport) GetSSHHost() string {
	if x != nil {
		return x.SSHHost
	}
	return ""
}

func (x *Transport) GetSSHUser() string {
	if x != nil {
		return x.SSHUser
	}
	return ""
}

func (x *Transport) GetSSHPort() int32 {
	if x != nil {
		return x.SSHPort
	}
	return 0
}

func (x *Transport) GetSSHPassword() string {
	if x != nil {
		return x.SSHPassword
	}
	return ""
}

func (x *Transport) GetSSHPrivateKey() string {
	if x != nil {
		return x.SSHPrivateKey
	}
	return ""
}

func (x *Transport) GetSSHPassphrase() string {
	if x != nil {
		return x.SSHPassphrase
	}
	return ""
}

func (x *Transport) GetSSHTimeout() int32 {
	if x != nil {
		return x.SSHTimeout
	}
	return 0
}

func (x *Transport) GetLabels() map[string]string {
	if x != nil {
		return x.Labels
	}
	return nil
}

type AuthConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mode                  string            `protobuf:"bytes,1,opt,name=Mode,proto3" json:"Mode,omitempty" yaml:"mode,omitempty" gorm:"column:mode" mapstructure:"mode"`                                                                                              
	IgnoreStatic          bool              `protobuf:"varint,2,opt,name=IgnoreStatic,proto3" json:"IgnoreStatic,omitempty" yaml:"ignoreStatic,omitempty" gorm:"column:ignore_static" mapstructure:"ignore_static"`                                                                             
	Labels                map[string]string `protobuf:"bytes,3,rep,name=Labels,proto3" json:"Labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3" yaml:"labels,omitempty"`  
	Config                string            `protobuf:"bytes,4,opt,name=config,proto3" json:"config,omitempty" yaml:"config,omitempty" gorm:"column:config" mapstructure:"config"`                                                                                          
	AdditionalStaticAsset []string          `protobuf:"bytes,5,rep,name=AdditionalStaticAsset,proto3" json:"AdditionalStaticAsset,omitempty" yaml:"additionalStaticAsset,omitempty" gorm:"column:additionalStaticAsset" mapstructure:"additionalStaticAsset"`                                                            
}

func (x *AuthConfig) Reset() {
	*x = AuthConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AuthConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AuthConfig) ProtoMessage() {}

func (x *AuthConfig) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AuthConfig.ProtoReflect.Descriptor instead.
func (*AuthConfig) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{8}
}

func (x *AuthConfig) GetMode() string {
	if x != nil {
		return x.Mode
	}
	return ""
}

func (x *AuthConfig) GetIgnoreStatic() bool {
	if x != nil {
		return x.IgnoreStatic
	}
	return false
}

func (x *AuthConfig) GetLabels() map[string]string {
	if x != nil {
		return x.Labels
	}
	return nil
}

func (x *AuthConfig) GetConfig() string {
	if x != nil {
		return x.Config
	}
	return ""
}

func (x *AuthConfig) GetAdditionalStaticAsset() []string {
	if x != nil {
		return x.AdditionalStaticAsset
	}
	return nil
}

type RouterAuth struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name         string            `protobuf:"bytes,1,opt,name=Name,proto3" json:"Name,omitempty" yaml:"name,omitempty" validate:"required"`                                                                                              
	Users        map[string]string `protobuf:"bytes,2,rep,name=Users,proto3" json:"Users,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3" yaml:"users,omitempty"`    
	Oauth2Config *Oauth2Config     `protobuf:"bytes,3,opt,name=Oauth2Config,proto3" json:"Oauth2Config,omitempty" yaml:"oauth2Config,omitempty"`                                                                              
	Labels       map[string]string `protobuf:"bytes,4,rep,name=Labels,proto3" json:"Labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3" yaml:"labels,omitempty"`  
}

func (x *RouterAuth) Reset() {
	*x = RouterAuth{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RouterAuth) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RouterAuth) ProtoMessage() {}

func (x *RouterAuth) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RouterAuth.ProtoReflect.Descriptor instead.
func (*RouterAuth) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{9}
}

func (x *RouterAuth) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *RouterAuth) GetUsers() map[string]string {
	if x != nil {
		return x.Users
	}
	return nil
}

func (x *RouterAuth) GetOauth2Config() *Oauth2Config {
	if x != nil {
		return x.Oauth2Config
	}
	return nil
}

func (x *RouterAuth) GetLabels() map[string]string {
	if x != nil {
		return x.Labels
	}
	return nil
}

type ProxyUrl struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	URL                string `protobuf:"bytes,1,opt,name=URL,proto3" json:"URL,omitempty" yaml:"url"`  
	Proto              string `protobuf:"bytes,2,opt,name=Proto,proto3" json:"Proto,omitempty"`
	Secure             bool   `protobuf:"varint,3,opt,name=Secure,proto3" json:"Secure,omitempty"`
	InsecureSkipVerify bool   `protobuf:"varint,4,opt,name=InsecureSkipVerify,proto3" json:"InsecureSkipVerify,omitempty" yaml:"insecureSkipVerify,omitempty"`  
}

func (x *ProxyUrl) Reset() {
	*x = ProxyUrl{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProxyUrl) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProxyUrl) ProtoMessage() {}

func (x *ProxyUrl) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProxyUrl.ProtoReflect.Descriptor instead.
func (*ProxyUrl) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{10}
}

func (x *ProxyUrl) GetURL() string {
	if x != nil {
		return x.URL
	}
	return ""
}

func (x *ProxyUrl) GetProto() string {
	if x != nil {
		return x.Proto
	}
	return ""
}

func (x *ProxyUrl) GetSecure() bool {
	if x != nil {
		return x.Secure
	}
	return false
}

func (x *ProxyUrl) GetInsecureSkipVerify() bool {
	if x != nil {
		return x.InsecureSkipVerify
	}
	return false
}

type Oauth2Url struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	URL                string `protobuf:"bytes,1,opt,name=URL,proto3" json:"URL,omitempty" yaml:"url"`  
	Proto              string `protobuf:"bytes,2,opt,name=Proto,proto3" json:"Proto,omitempty"`
	Secure             bool   `protobuf:"varint,3,opt,name=Secure,proto3" json:"Secure,omitempty"`
	InsecureSkipVerify bool   `protobuf:"varint,4,opt,name=InsecureSkipVerify,proto3" json:"InsecureSkipVerify,omitempty" yaml:"insecureSkipVerify,omitempty"`  
	IsGrpc             bool   `protobuf:"varint,5,opt,name=IsGrpc,proto3" json:"IsGrpc,omitempty" yaml:"isGrpc,omitempty"`                          
}

func (x *Oauth2Url) Reset() {
	*x = Oauth2Url{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Oauth2Url) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Oauth2Url) ProtoMessage() {}

func (x *Oauth2Url) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Oauth2Url.ProtoReflect.Descriptor instead.
func (*Oauth2Url) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{11}
}

func (x *Oauth2Url) GetURL() string {
	if x != nil {
		return x.URL
	}
	return ""
}

func (x *Oauth2Url) GetProto() string {
	if x != nil {
		return x.Proto
	}
	return ""
}

func (x *Oauth2Url) GetSecure() bool {
	if x != nil {
		return x.Secure
	}
	return false
}

func (x *Oauth2Url) GetInsecureSkipVerify() bool {
	if x != nil {
		return x.InsecureSkipVerify
	}
	return false
}

func (x *Oauth2Url) GetIsGrpc() bool {
	if x != nil {
		return x.IsGrpc
	}
	return false
}

type Oauth2ExternalValidation struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Enable                     bool       `protobuf:"varint,1,opt,name=Enable,proto3" json:"Enable,omitempty" yaml:"enable"`                                          
	Validation                 *Oauth2Url `protobuf:"bytes,2,opt,name=Validation,proto3" json:"Validation,omitempty" yaml:"validation"`                                   
	RevalidationOnRefreshToken bool       `protobuf:"varint,3,opt,name=RevalidationOnRefreshToken,proto3" json:"RevalidationOnRefreshToken,omitempty" yaml:"revalidationOnRefreshToken"`  
	Tag                        string     `protobuf:"bytes,4,opt,name=Tag,proto3" json:"Tag,omitempty" yaml:"tag"`                                                 
}

func (x *Oauth2ExternalValidation) Reset() {
	*x = Oauth2ExternalValidation{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Oauth2ExternalValidation) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Oauth2ExternalValidation) ProtoMessage() {}

func (x *Oauth2ExternalValidation) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Oauth2ExternalValidation.ProtoReflect.Descriptor instead.
func (*Oauth2ExternalValidation) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{12}
}

func (x *Oauth2ExternalValidation) GetEnable() bool {
	if x != nil {
		return x.Enable
	}
	return false
}

func (x *Oauth2ExternalValidation) GetValidation() *Oauth2Url {
	if x != nil {
		return x.Validation
	}
	return nil
}

func (x *Oauth2ExternalValidation) GetRevalidationOnRefreshToken() bool {
	if x != nil {
		return x.RevalidationOnRefreshToken
	}
	return false
}

func (x *Oauth2ExternalValidation) GetTag() string {
	if x != nil {
		return x.Tag
	}
	return ""
}

type Oauth2Config struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TokenEndpoint         *Oauth2Url                `protobuf:"bytes,1,opt,name=TokenEndpoint,proto3" json:"TokenEndpoint,omitempty" yaml:"tokenEndpoint"`                  
	AuthorizationEndpoint string                    `protobuf:"bytes,2,opt,name=AuthorizationEndpoint,proto3" json:"AuthorizationEndpoint,omitempty" yaml:"authorizationEndpoint"`  
	ClientID              string                    `protobuf:"bytes,3,opt,name=ClientID,proto3" json:"ClientID,omitempty" yaml:"clientId"`                            
	ClientSecret          string                    `protobuf:"bytes,4,opt,name=ClientSecret,proto3" json:"ClientSecret,omitempty" yaml:"clientSecret"`                    
	SigningMethod         string                    `protobuf:"bytes,5,opt,name=SigningMethod,proto3" json:"SigningMethod,omitempty" yaml:"signingMethod"`                  
	ExternalValidation    *Oauth2ExternalValidation `protobuf:"bytes,6,opt,name=ExternalValidation,proto3" json:"ExternalValidation,omitempty" yaml:"externalValidation"`        
	Callback              string                    `protobuf:"bytes,7,opt,name=Callback,proto3" json:"Callback,omitempty" yaml:"callback,omitempty" gorm:"column:callback" mapstructure:"callback"`                            
	Login                 string                    `protobuf:"bytes,8,opt,name=Login,proto3" json:"Login,omitempty" yaml:"login,omitempty" gorm:"column:login" mapstructure:"login"`                                  
	Logout                string                    `protobuf:"bytes,9,opt,name=Logout,proto3" json:"Logout,omitempty" yaml:"logout,omitempty" gorm:"column:logout" mapstructure:"logout"`                                
	LoginProcess          string                    `protobuf:"bytes,10,opt,name=loginProcess,proto3" json:"loginProcess,omitempty" yaml:"loginProcess,omitempty" gorm:"column:loginProcess" mapstructure:"loginProcess"`                   
}

func (x *Oauth2Config) Reset() {
	*x = Oauth2Config{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Oauth2Config) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Oauth2Config) ProtoMessage() {}

func (x *Oauth2Config) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Oauth2Config.ProtoReflect.Descriptor instead.
func (*Oauth2Config) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{13}
}

func (x *Oauth2Config) GetTokenEndpoint() *Oauth2Url {
	if x != nil {
		return x.TokenEndpoint
	}
	return nil
}

func (x *Oauth2Config) GetAuthorizationEndpoint() string {
	if x != nil {
		return x.AuthorizationEndpoint
	}
	return ""
}

func (x *Oauth2Config) GetClientID() string {
	if x != nil {
		return x.ClientID
	}
	return ""
}

func (x *Oauth2Config) GetClientSecret() string {
	if x != nil {
		return x.ClientSecret
	}
	return ""
}

func (x *Oauth2Config) GetSigningMethod() string {
	if x != nil {
		return x.SigningMethod
	}
	return ""
}

func (x *Oauth2Config) GetExternalValidation() *Oauth2ExternalValidation {
	if x != nil {
		return x.ExternalValidation
	}
	return nil
}

func (x *Oauth2Config) GetCallback() string {
	if x != nil {
		return x.Callback
	}
	return ""
}

func (x *Oauth2Config) GetLogin() string {
	if x != nil {
		return x.Login
	}
	return ""
}

func (x *Oauth2Config) GetLogout() string {
	if x != nil {
		return x.Logout
	}
	return ""
}

func (x *Oauth2Config) GetLoginProcess() string {
	if x != nil {
		return x.LoginProcess
	}
	return ""
}

type HealthCheck struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name               string            `protobuf:"bytes,1,opt,name=Name,proto3" json:"Name,omitempty" yaml:"name,omitempty" validate:"required" gorm:"column:name;primaryKey" mapstructure:"name"`                                                                                              
	Type               string            `protobuf:"bytes,2,opt,name=Type,proto3" json:"Type,omitempty" yaml:"type,omitempty" validate:"required" gorm:"column:type" mapstructure:"type"`                                                                                              
	Path               string            `protobuf:"bytes,3,opt,name=Path,proto3" json:"Path,omitempty" yaml:"path,omitempty" gorm:"column:path" mapstructure:"path"`                                                                                              
	Secure             bool              `protobuf:"varint,4,opt,name=Secure,proto3" json:"Secure,omitempty" yaml:"secure,omitempty" gorm:"column:secure" mapstructure:"secure"`                                                                                         
	Proto              string            `protobuf:"bytes,5,opt,name=Proto,proto3" json:"Proto,omitempty" yaml:"proto,omitempty" gorm:"column:proto" mapstructure:"proto"`                                                                                            
	InsecureSkipVerify bool              `protobuf:"varint,6,opt,name=InsecureSkipVerify,proto3" json:"InsecureSkipVerify,omitempty" yaml:"insecureSkipVerify,omitempty" gorm:"column:insecureSkipVerify" mapstructure:"insecureSkipVerify"`                                                                 
	Labels             map[string]string `protobuf:"bytes,7,rep,name=Labels,proto3" json:"Labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3" yaml:"labels,omitempty"`  
	HealthyCounter     int32             `protobuf:"varint,8,opt,name=HealthyCounter,proto3" json:"HealthyCounter,omitempty" yaml:"healthyCounter,omitempty"`                                                                         
	Timeout            int32             `protobuf:"varint,9,opt,name=Timeout,proto3" json:"Timeout,omitempty" yaml:"timeout,omitempty"`                                                                                       
}

func (x *HealthCheck) Reset() {
	*x = HealthCheck{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HealthCheck) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HealthCheck) ProtoMessage() {}

func (x *HealthCheck) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HealthCheck.ProtoReflect.Descriptor instead.
func (*HealthCheck) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{14}
}

func (x *HealthCheck) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *HealthCheck) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *HealthCheck) GetPath() string {
	if x != nil {
		return x.Path
	}
	return ""
}

func (x *HealthCheck) GetSecure() bool {
	if x != nil {
		return x.Secure
	}
	return false
}

func (x *HealthCheck) GetProto() string {
	if x != nil {
		return x.Proto
	}
	return ""
}

func (x *HealthCheck) GetInsecureSkipVerify() bool {
	if x != nil {
		return x.InsecureSkipVerify
	}
	return false
}

func (x *HealthCheck) GetLabels() map[string]string {
	if x != nil {
		return x.Labels
	}
	return nil
}

func (x *HealthCheck) GetHealthyCounter() int32 {
	if x != nil {
		return x.HealthyCounter
	}
	return 0
}

func (x *HealthCheck) GetTimeout() int32 {
	if x != nil {
		return x.Timeout
	}
	return 0
}

type ContainerNetworkResults struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name      string `protobuf:"bytes,1,opt,name=Name,proto3" json:"Name,omitempty" yaml:"name,omitempty"`            
	ID        string `protobuf:"bytes,2,opt,name=ID,proto3" json:"ID,omitempty" yaml:"id,omitempty"`                
	IpAddress string `protobuf:"bytes,3,opt,name=IpAddress,proto3" json:"IpAddress,omitempty" yaml:"IPAddress,omitempty"`  
}

func (x *ContainerNetworkResults) Reset() {
	*x = ContainerNetworkResults{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ContainerNetworkResults) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ContainerNetworkResults) ProtoMessage() {}

func (x *ContainerNetworkResults) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ContainerNetworkResults.ProtoReflect.Descriptor instead.
func (*ContainerNetworkResults) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{15}
}

func (x *ContainerNetworkResults) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *ContainerNetworkResults) GetID() string {
	if x != nil {
		return x.ID
	}
	return ""
}

func (x *ContainerNetworkResults) GetIpAddress() string {
	if x != nil {
		return x.IpAddress
	}
	return ""
}

type Discovery struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Enable   bool   `protobuf:"varint,1,opt,name=Enable,proto3" json:"Enable,omitempty" yaml:"enable"`     
	Driver   string `protobuf:"bytes,2,opt,name=Driver,proto3" json:"Driver,omitempty" yaml:"driver"`      
	Exchange string `protobuf:"bytes,3,opt,name=Exchange,proto3" json:"Exchange,omitempty" yaml:"exchange"`  
}

func (x *Discovery) Reset() {
	*x = Discovery{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Discovery) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Discovery) ProtoMessage() {}

func (x *Discovery) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Discovery.ProtoReflect.Descriptor instead.
func (*Discovery) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{16}
}

func (x *Discovery) GetEnable() bool {
	if x != nil {
		return x.Enable
	}
	return false
}

func (x *Discovery) GetDriver() string {
	if x != nil {
		return x.Driver
	}
	return ""
}

func (x *Discovery) GetExchange() string {
	if x != nil {
		return x.Exchange
	}
	return ""
}

type ValidateTokenRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	AccessToken string `protobuf:"bytes,1,opt,name=AccessToken,proto3" json:"access_token"`  
	ClientId    string `protobuf:"bytes,2,opt,name=ClientId,proto3" json:"client_id"`        
	UUID        string `protobuf:"bytes,3,opt,name=UUID,proto3" json:"uuid"`                
	Path        string `protobuf:"bytes,4,opt,name=Path,proto3" json:"path"`                
	Tag         string `protobuf:"bytes,5,opt,name=Tag,proto3" json:"tag"`                  
}

func (x *ValidateTokenRequest) Reset() {
	*x = ValidateTokenRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ValidateTokenRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ValidateTokenRequest) ProtoMessage() {}

func (x *ValidateTokenRequest) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ValidateTokenRequest.ProtoReflect.Descriptor instead.
func (*ValidateTokenRequest) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{17}
}

func (x *ValidateTokenRequest) GetAccessToken() string {
	if x != nil {
		return x.AccessToken
	}
	return ""
}

func (x *ValidateTokenRequest) GetClientId() string {
	if x != nil {
		return x.ClientId
	}
	return ""
}

func (x *ValidateTokenRequest) GetUUID() string {
	if x != nil {
		return x.UUID
	}
	return ""
}

func (x *ValidateTokenRequest) GetPath() string {
	if x != nil {
		return x.Path
	}
	return ""
}

func (x *ValidateTokenRequest) GetTag() string {
	if x != nil {
		return x.Tag
	}
	return ""
}

type ValidateTokenResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Error            string `protobuf:"bytes,1,opt,name=Error,proto3" json:"error,omitempty"`                        
	ErrorDescription string `protobuf:"bytes,2,opt,name=ErrorDescription,proto3" json:"error_description,omitempty"`  
	ErrorUri         string `protobuf:"bytes,3,opt,name=ErrorUri,proto3" json:"error_uri,omitempty"`                  
	Expired          bool   `protobuf:"varint,4,opt,name=Expired,proto3" json:"expired"`                   
	GrpcStatus       string `protobuf:"bytes,5,opt,name=GrpcStatus,proto3" json:"Grpc-Status,omitempty"`              
	GrpcMessage      string `protobuf:"bytes,6,opt,name=GrpcMessage,proto3" json:"Grpc-Message,omitempty"`            
	Status           int32  `protobuf:"varint,7,opt,name=Status,proto3" json:"status"`                     
}

func (x *ValidateTokenResponse) Reset() {
	*x = ValidateTokenResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_messages_proto_msgTypes[18]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ValidateTokenResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ValidateTokenResponse) ProtoMessage() {}

func (x *ValidateTokenResponse) ProtoReflect() protoreflect.Message {
	mi := &file_messages_proto_msgTypes[18]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ValidateTokenResponse.ProtoReflect.Descriptor instead.
func (*ValidateTokenResponse) Descriptor() ([]byte, []int) {
	return file_messages_proto_rawDescGZIP(), []int{18}
}

func (x *ValidateTokenResponse) GetError() string {
	if x != nil {
		return x.Error
	}
	return ""
}

func (x *ValidateTokenResponse) GetErrorDescription() string {
	if x != nil {
		return x.ErrorDescription
	}
	return ""
}

func (x *ValidateTokenResponse) GetErrorUri() string {
	if x != nil {
		return x.ErrorUri
	}
	return ""
}

func (x *ValidateTokenResponse) GetExpired() bool {
	if x != nil {
		return x.Expired
	}
	return false
}

func (x *ValidateTokenResponse) GetGrpcStatus() string {
	if x != nil {
		return x.GrpcStatus
	}
	return ""
}

func (x *ValidateTokenResponse) GetGrpcMessage() string {
	if x != nil {
		return x.GrpcMessage
	}
	return ""
}

func (x *ValidateTokenResponse) GetStatus() int32 {
	if x != nil {
		return x.Status
	}
	return 0
}

var File_messages_proto protoreflect.FileDescriptor

var file_messages_proto_rawDesc = []byte{
	0x0a, 0x0e, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x05, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x22, 0xbd, 0x02, 0x0a, 0x07, 0x52, 0x6f, 0x75, 0x74,
	0x65, 0x72, 0x73, 0x12, 0x16, 0x0a, 0x06, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x18, 0x01, 0x20,
	0x03, 0x28, 0x09, 0x52, 0x06, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x12, 0x18, 0x0a, 0x07, 0x42,
	0x61, 0x63, 0x6b, 0x65, 0x6e, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x42, 0x61,
	0x63, 0x6b, 0x65, 0x6e, 0x64, 0x12, 0x1c, 0x0a, 0x09, 0x50, 0x72, 0x6f, 0x74, 0x65, 0x63, 0x74,
	0x65, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x50, 0x72, 0x6f, 0x74, 0x65, 0x63,
	0x74, 0x65, 0x64, 0x12, 0x31, 0x0a, 0x0a, 0x41, 0x75, 0x74, 0x68, 0x43, 0x6f, 0x6e, 0x66, 0x69,
	0x67, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x2e,
	0x41, 0x75, 0x74, 0x68, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52, 0x0a, 0x41, 0x75, 0x74, 0x68,
	0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x24, 0x0a, 0x0d, 0x45, 0x6e, 0x61, 0x62, 0x6c, 0x65,
	0x54, 0x72, 0x61, 0x63, 0x69, 0x6e, 0x67, 0x18, 0x05, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0d, 0x45,
	0x6e, 0x61, 0x62, 0x6c, 0x65, 0x54, 0x72, 0x61, 0x63, 0x69, 0x6e, 0x67, 0x12, 0x1a, 0x0a, 0x08,
	0x46, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x06, 0x20, 0x03, 0x28, 0x09, 0x52, 0x08,
	0x46, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x32, 0x0a, 0x06, 0x4c, 0x61, 0x62, 0x65,
	0x6c, 0x73, 0x18, 0x07, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x70, 0x72, 0x6f, 0x78, 0x79,
	0x2e, 0x52, 0x6f, 0x75, 0x74, 0x65, 0x72, 0x73, 0x2e, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45,
	0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x1a, 0x39, 0x0a, 0x0b,
	0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b,
	0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0xce, 0x01, 0x0a, 0x07, 0x52, 0x6f, 0x75, 0x74,
	0x69, 0x6e, 0x67, 0x12, 0x12, 0x0a, 0x04, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x44, 0x6f, 0x6d, 0x61, 0x69,
	0x6e, 0x18, 0x02, 0x20, 0x03, 0x28, 0x09, 0x52, 0x06, 0x44, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x12,
	0x28, 0x0a, 0x07, 0x52, 0x6f, 0x75, 0x74, 0x65, 0x72, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x0e, 0x2e, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x2e, 0x52, 0x6f, 0x75, 0x74, 0x65, 0x72, 0x73,
	0x52, 0x07, 0x52, 0x6f, 0x75, 0x74, 0x65, 0x72, 0x73, 0x12, 0x32, 0x0a, 0x06, 0x4c, 0x61, 0x62,
	0x65, 0x6c, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x70, 0x72, 0x6f, 0x78,
	0x79, 0x2e, 0x52, 0x6f, 0x75, 0x74, 0x69, 0x6e, 0x67, 0x2e, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73,
	0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x1a, 0x39, 0x0a,
	0x0b, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03,
	0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14,
	0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x89, 0x02, 0x0a, 0x0f, 0x44, 0x6f, 0x63,
	0x6b, 0x65, 0x72, 0x44, 0x69, 0x73, 0x63, 0x6f, 0x76, 0x65, 0x72, 0x79, 0x12, 0x18, 0x0a, 0x07,
	0x4e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x4e,
	0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x12, 0x12, 0x0a, 0x04, 0x50, 0x6f, 0x72, 0x74, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x05, 0x52, 0x04, 0x50, 0x6f, 0x72, 0x74, 0x12, 0x16, 0x0a, 0x06, 0x53, 0x65,
	0x63, 0x75, 0x72, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x53, 0x65, 0x63, 0x75,
	0x72, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x50, 0x65, 0x6d, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x03, 0x50, 0x65, 0x6d, 0x12, 0x14, 0x0a, 0x05, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x05, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1e, 0x0a, 0x0a, 0x4d, 0x61,
	0x78, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x18, 0x06, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a,
	0x4d, 0x61, 0x78, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2e, 0x0a, 0x12, 0x49, 0x6e,
	0x73, 0x65, 0x63, 0x75, 0x72, 0x65, 0x53, 0x6b, 0x69, 0x70, 0x56, 0x65, 0x72, 0x69, 0x66, 0x79,
	0x18, 0x07, 0x20, 0x01, 0x28, 0x08, 0x52, 0x12, 0x49, 0x6e, 0x73, 0x65, 0x63, 0x75, 0x72, 0x65,
	0x53, 0x6b, 0x69, 0x70, 0x56, 0x65, 0x72, 0x69, 0x66, 0x79, 0x12, 0x20, 0x0a, 0x0b, 0x48, 0x65,
	0x61, 0x6c, 0x74, 0x68, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0b, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x12, 0x16, 0x0a, 0x06,
	0x44, 0x72, 0x69, 0x76, 0x65, 0x72, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x44, 0x72,
	0x69, 0x76, 0x65, 0x72, 0x22, 0xa1, 0x02, 0x0a, 0x07, 0x42, 0x61, 0x63, 0x6b, 0x65, 0x6e, 0x64,
	0x12, 0x12, 0x0a, 0x04, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x4e, 0x61, 0x6d, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x4d, 0x6f, 0x64, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x04, 0x4d, 0x6f, 0x64, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x44, 0x72, 0x69, 0x76,
	0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x44, 0x72, 0x69, 0x76, 0x65, 0x72,
	0x12, 0x25, 0x0a, 0x06, 0x53, 0x65, 0x72, 0x76, 0x65, 0x72, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x0d, 0x2e, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x2e, 0x53, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52,
	0x06, 0x53, 0x65, 0x72, 0x76, 0x65, 0x72, 0x12, 0x32, 0x0a, 0x06, 0x4c, 0x61, 0x62, 0x65, 0x6c,
	0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x2e,
	0x42, 0x61, 0x63, 0x6b, 0x65, 0x6e, 0x64, 0x2e, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45, 0x6e,
	0x74, 0x72, 0x79, 0x52, 0x06, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x12, 0x40, 0x0a, 0x0f, 0x44,
	0x6f, 0x63, 0x6b, 0x65, 0x72, 0x44, 0x69, 0x73, 0x63, 0x6f, 0x76, 0x65, 0x72, 0x79, 0x18, 0x06,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x2e, 0x44, 0x6f, 0x63,
	0x6b, 0x65, 0x72, 0x44, 0x69, 0x73, 0x63, 0x6f, 0x76, 0x65, 0x72, 0x79, 0x52, 0x0f, 0x44, 0x6f,
	0x63, 0x6b, 0x65, 0x72, 0x44, 0x69, 0x73, 0x63, 0x6f, 0x76, 0x65, 0x72, 0x79, 0x1a, 0x39, 0x0a,
	0x0b, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03,
	0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14,
	0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x5f, 0x0a, 0x05, 0x56, 0x61, 0x75, 0x6c,
	0x74, 0x12, 0x12, 0x0a, 0x04, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x12,
	0x14, 0x0a, 0x05, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05,
	0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x12, 0x0a, 0x04, 0x4b, 0x65, 0x79, 0x73, 0x18, 0x04, 0x20,
	0x03, 0x28, 0x09, 0x52, 0x04, 0x4b, 0x65, 0x79, 0x73, 0x22, 0x94, 0x04, 0x0a, 0x08, 0x4c, 0x69,
	0x73, 0x74, 0x65, 0x6e, 0x65, 0x72, 0x12, 0x12, 0x0a, 0x04, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x50, 0x65,
	0x6d, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x50, 0x65, 0x6d, 0x12, 0x12, 0x0a, 0x04,
	0x50, 0x6f, 0x72, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x04, 0x50, 0x6f, 0x72, 0x74,
	0x12, 0x16, 0x0a, 0x06, 0x4c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x06, 0x4c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x12, 0x16, 0x0a, 0x06, 0x53, 0x65, 0x63, 0x75,
	0x72, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x53, 0x65, 0x63, 0x75, 0x72, 0x65,
	0x12, 0x12, 0x0a, 0x04, 0x4d, 0x6f, 0x64, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x4d, 0x6f, 0x64, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72,
	0x74, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f,
	0x72, 0x74, 0x12, 0x20, 0x0a, 0x0b, 0x44, 0x65, 0x73, 0x74, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x44, 0x65, 0x73, 0x74, 0x69, 0x6e, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x12, 0x18, 0x0a, 0x07, 0x52, 0x6f, 0x75, 0x74, 0x69, 0x6e, 0x67, 0x18,
	0x09, 0x20, 0x03, 0x28, 0x09, 0x52, 0x07, 0x52, 0x6f, 0x75, 0x74, 0x69, 0x6e, 0x67, 0x12, 0x14,
	0x0a, 0x05, 0x41, 0x6c, 0x6c, 0x6f, 0x77, 0x18, 0x0a, 0x20, 0x03, 0x28, 0x09, 0x52, 0x05, 0x41,
	0x6c, 0x6c, 0x6f, 0x77, 0x12, 0x3a, 0x0a, 0x0f, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72,
	0x74, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e,
	0x70, 0x72, 0x6f, 0x78, 0x79, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x52,
	0x0f, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e,
	0x12, 0x33, 0x0a, 0x06, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x18, 0x0c, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x1b, 0x2e, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x65,
	0x72, 0x2e, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x4c,
	0x61, 0x62, 0x65, 0x6c, 0x73, 0x12, 0x1e, 0x0a, 0x0a, 0x4d, 0x61, 0x78, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x18, 0x0d, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0a, 0x4d, 0x61, 0x78, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2a, 0x0a, 0x10, 0x41, 0x75, 0x74, 0x6f, 0x52, 0x65, 0x6c,
	0x6f, 0x61, 0x64, 0x50, 0x65, 0x6d, 0x44, 0x69, 0x72, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x08, 0x52,
	0x10, 0x41, 0x75, 0x74, 0x6f, 0x52, 0x65, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x65, 0x6d, 0x44, 0x69,
	0x72, 0x12, 0x22, 0x0a, 0x05, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x18, 0x0f, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x0c, 0x2e, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x2e, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x05,
	0x56, 0x61, 0x75, 0x6c, 0x74, 0x1a, 0x39, 0x0a, 0x0b, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45,
	0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01,
	0x22, 0xb4, 0x03, 0x0a, 0x06, 0x53, 0x65, 0x72, 0x76, 0x65, 0x72, 0x12, 0x12, 0x0a, 0x04, 0x4e,
	0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x4e, 0x61, 0x6d, 0x65, 0x12,
	0x18, 0x0a, 0x07, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x07, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x44, 0x72, 0x69,
	0x76, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x44, 0x72, 0x69, 0x76, 0x65,
	0x72, 0x12, 0x10, 0x0a, 0x03, 0x55, 0x72, 0x6c, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03,
	0x55, 0x72, 0x6c, 0x12, 0x16, 0x0a, 0x06, 0x53, 0x65, 0x63, 0x75, 0x72, 0x65, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x06, 0x53, 0x65, 0x63, 0x75, 0x72, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x50,
	0x65, 0x6d, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x50, 0x65, 0x6d, 0x12, 0x14, 0x0a,
	0x05, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x50, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x1e, 0x0a, 0x0a, 0x4d, 0x61, 0x78, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x18, 0x08, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x4d, 0x61, 0x78, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x2e, 0x0a, 0x12, 0x49, 0x6e, 0x73, 0x65, 0x63, 0x75, 0x72, 0x65, 0x53,
	0x6b, 0x69, 0x70, 0x56, 0x65, 0x72, 0x69, 0x66, 0x79, 0x18, 0x09, 0x20, 0x01, 0x28, 0x08, 0x52,
	0x12, 0x49, 0x6e, 0x73, 0x65, 0x63, 0x75, 0x72, 0x65, 0x53, 0x6b, 0x69, 0x70, 0x56, 0x65, 0x72,
	0x69, 0x66, 0x79, 0x12, 0x20, 0x0a, 0x0b, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x43, 0x68, 0x65,
	0x63, 0x6b, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68,
	0x43, 0x68, 0x65, 0x63, 0x6b, 0x12, 0x31, 0x0a, 0x06, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x18,
	0x0b, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x2e, 0x53, 0x65,
	0x72, 0x76, 0x65, 0x72, 0x2e, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79,
	0x52, 0x06, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x12, 0x18, 0x0a, 0x07, 0x42, 0x61, 0x63, 0x6b,
	0x65, 0x6e, 0x64, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x42, 0x61, 0x63, 0x6b, 0x65,
	0x6e, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x0d, 0x20,
	0x03, 0x28, 0x09, 0x52, 0x07, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x1a, 0x39, 0x0a, 0x0b,
	0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b,
	0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x84, 0x03, 0x0a, 0x09, 0x54, 0x72, 0x61, 0x6e,
	0x73, 0x70, 0x6f, 0x72, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x04, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x44, 0x72, 0x69,
	0x76, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x44, 0x72, 0x69, 0x76, 0x65,
	0x72, 0x12, 0x18, 0x0a, 0x07, 0x53, 0x53, 0x48, 0x48, 0x6f, 0x73, 0x74, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x07, 0x53, 0x53, 0x48, 0x48, 0x6f, 0x73, 0x74, 0x12, 0x18, 0x0a, 0x07, 0x53,
	0x53, 0x48, 0x55, 0x73, 0x65, 0x72, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x53, 0x53,
	0x48, 0x55, 0x73, 0x65, 0x72, 0x12, 0x18, 0x0a, 0x07, 0x53, 0x53, 0x48, 0x50, 0x6f, 0x72, 0x74,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x05, 0x52, 0x07, 0x53, 0x53, 0x48, 0x50, 0x6f, 0x72, 0x74, 0x12,
	0x20, 0x0a, 0x0b, 0x53, 0x53, 0x48, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x18, 0x06,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x53, 0x53, 0x48, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72,
	0x64, 0x12, 0x24, 0x0a, 0x0d, 0x53, 0x53, 0x48, 0x50, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x4b,
	0x65, 0x79, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x53, 0x53, 0x48, 0x50, 0x72, 0x69,
	0x76, 0x61, 0x74, 0x65, 0x4b, 0x65, 0x79, 0x12, 0x24, 0x0a, 0x0d, 0x53, 0x53, 0x48, 0x50, 0x61,
	0x73, 0x73, 0x70, 0x68, 0x72, 0x61, 0x73, 0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d,
	0x53, 0x53, 0x48, 0x50, 0x61, 0x73, 0x73, 0x70, 0x68, 0x72, 0x61, 0x73, 0x65, 0x12, 0x1e, 0x0a,
	0x0a, 0x53, 0x53, 0x48, 0x54, 0x69, 0x6d, 0x65, 0x6f, 0x75, 0x74, 0x18, 0x09, 0x20, 0x01, 0x28,
	0x05, 0x52, 0x0a, 0x53, 0x53, 0x48, 0x54, 0x69, 0x6d, 0x65, 0x6f, 0x75, 0x74, 0x12, 0x34, 0x0a,
	0x06, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x18, 0x0a, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1c, 0x2e,
	0x70, 0x72, 0x6f, 0x78, 0x79, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2e,
	0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x4c, 0x61, 0x62,
	0x65, 0x6c, 0x73, 0x1a, 0x39, 0x0a, 0x0b, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45, 0x6e, 0x74,
	0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x84,
	0x02, 0x0a, 0x0a, 0x41, 0x75, 0x74, 0x68, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x12, 0x0a,
	0x04, 0x4d, 0x6f, 0x64, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x4d, 0x6f, 0x64,
	0x65, 0x12, 0x22, 0x0a, 0x0c, 0x49, 0x67, 0x6e, 0x6f, 0x72, 0x65, 0x53, 0x74, 0x61, 0x74, 0x69,
	0x63, 0x18, 0x02, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0c, 0x49, 0x67, 0x6e, 0x6f, 0x72, 0x65, 0x53,
	0x74, 0x61, 0x74, 0x69, 0x63, 0x12, 0x35, 0x0a, 0x06, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x18,
	0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x2e, 0x41, 0x75,
	0x74, 0x68, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2e, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45,
	0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x12, 0x16, 0x0a, 0x06,
	0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x63, 0x6f,
	0x6e, 0x66, 0x69, 0x67, 0x12, 0x34, 0x0a, 0x15, 0x41, 0x64, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x6c, 0x53, 0x74, 0x61, 0x74, 0x69, 0x63, 0x41, 0x73, 0x73, 0x65, 0x74, 0x18, 0x05, 0x20,
	0x03, 0x28, 0x09, 0x52, 0x15, 0x41, 0x64, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x53,
	0x74, 0x61, 0x74, 0x69, 0x63, 0x41, 0x73, 0x73, 0x65, 0x74, 0x1a, 0x39, 0x0a, 0x0b, 0x4c, 0x61,
	0x62, 0x65, 0x6c, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0xb9, 0x02, 0x0a, 0x0a, 0x52, 0x6f, 0x75, 0x74, 0x65, 0x72,
	0x41, 0x75, 0x74, 0x68, 0x12, 0x12, 0x0a, 0x04, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x04, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x32, 0x0a, 0x05, 0x55, 0x73, 0x65, 0x72,
	0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x2e,
	0x52, 0x6f, 0x75, 0x74, 0x65, 0x72, 0x41, 0x75, 0x74, 0x68, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x73,
	0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x05, 0x55, 0x73, 0x65, 0x72, 0x73, 0x12, 0x37, 0x0a, 0x0c,
	0x4f, 0x61, 0x75, 0x74, 0x68, 0x32, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x13, 0x2e, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x2e, 0x4f, 0x61, 0x75, 0x74, 0x68,
	0x32, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52, 0x0c, 0x4f, 0x61, 0x75, 0x74, 0x68, 0x32, 0x43,
	0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x35, 0x0a, 0x06, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x18,
	0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x2e, 0x52, 0x6f,
	0x75, 0x74, 0x65, 0x72, 0x41, 0x75, 0x74, 0x68, 0x2e, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45,
	0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x1a, 0x38, 0x0a, 0x0a,
	0x55, 0x73, 0x65, 0x72, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65,
	0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05,
	0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c,
	0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x1a, 0x39, 0x0a, 0x0b, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73,
	0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38,
	0x01, 0x22, 0x7a, 0x0a, 0x08, 0x50, 0x72, 0x6f, 0x78, 0x79, 0x55, 0x72, 0x6c, 0x12, 0x10, 0x0a,
	0x03, 0x55, 0x52, 0x4c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x55, 0x52, 0x4c, 0x12,
	0x14, 0x0a, 0x05, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05,
	0x50, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x16, 0x0a, 0x06, 0x53, 0x65, 0x63, 0x75, 0x72, 0x65, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x53, 0x65, 0x63, 0x75, 0x72, 0x65, 0x12, 0x2e, 0x0a,
	0x12, 0x49, 0x6e, 0x73, 0x65, 0x63, 0x75, 0x72, 0x65, 0x53, 0x6b, 0x69, 0x70, 0x56, 0x65, 0x72,
	0x69, 0x66, 0x79, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x12, 0x49, 0x6e, 0x73, 0x65, 0x63,
	0x75, 0x72, 0x65, 0x53, 0x6b, 0x69, 0x70, 0x56, 0x65, 0x72, 0x69, 0x66, 0x79, 0x22, 0x93, 0x01,
	0x0a, 0x09, 0x4f, 0x61, 0x75, 0x74, 0x68, 0x32, 0x55, 0x72, 0x6c, 0x12, 0x10, 0x0a, 0x03, 0x55,
	0x52, 0x4c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x55, 0x52, 0x4c, 0x12, 0x14, 0x0a,
	0x05, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x50, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x16, 0x0a, 0x06, 0x53, 0x65, 0x63, 0x75, 0x72, 0x65, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x06, 0x53, 0x65, 0x63, 0x75, 0x72, 0x65, 0x12, 0x2e, 0x0a, 0x12, 0x49,
	0x6e, 0x73, 0x65, 0x63, 0x75, 0x72, 0x65, 0x53, 0x6b, 0x69, 0x70, 0x56, 0x65, 0x72, 0x69, 0x66,
	0x79, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x12, 0x49, 0x6e, 0x73, 0x65, 0x63, 0x75, 0x72,
	0x65, 0x53, 0x6b, 0x69, 0x70, 0x56, 0x65, 0x72, 0x69, 0x66, 0x79, 0x12, 0x16, 0x0a, 0x06, 0x49,
	0x73, 0x47, 0x72, 0x70, 0x63, 0x18, 0x05, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x49, 0x73, 0x47,
	0x72, 0x70, 0x63, 0x22, 0xb6, 0x01, 0x0a, 0x18, 0x4f, 0x61, 0x75, 0x74, 0x68, 0x32, 0x45, 0x78,
	0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x56, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x12, 0x16, 0x0a, 0x06, 0x45, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x06, 0x45, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x12, 0x30, 0x0a, 0x0a, 0x56, 0x61, 0x6c, 0x69,
	0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x70,
	0x72, 0x6f, 0x78, 0x79, 0x2e, 0x4f, 0x61, 0x75, 0x74, 0x68, 0x32, 0x55, 0x72, 0x6c, 0x52, 0x0a,
	0x56, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x3e, 0x0a, 0x1a, 0x52, 0x65,
	0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4f, 0x6e, 0x52, 0x65, 0x66, 0x72,
	0x65, 0x73, 0x68, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x1a,
	0x52, 0x65, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4f, 0x6e, 0x52, 0x65,
	0x66, 0x72, 0x65, 0x73, 0x68, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x10, 0x0a, 0x03, 0x54, 0x61,
	0x67, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x54, 0x61, 0x67, 0x22, 0xa1, 0x03, 0x0a,
	0x0c, 0x4f, 0x61, 0x75, 0x74, 0x68, 0x32, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x36, 0x0a,
	0x0d, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x45, 0x6e, 0x64, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x2e, 0x4f, 0x61, 0x75,
	0x74, 0x68, 0x32, 0x55, 0x72, 0x6c, 0x52, 0x0d, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x45, 0x6e, 0x64,
	0x70, 0x6f, 0x69, 0x6e, 0x74, 0x12, 0x34, 0x0a, 0x15, 0x41, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x69,
	0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x45, 0x6e, 0x64, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x15, 0x41, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x45, 0x6e, 0x64, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x43,
	0x6c, 0x69, 0x65, 0x6e, 0x74, 0x49, 0x44, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x43,
	0x6c, 0x69, 0x65, 0x6e, 0x74, 0x49, 0x44, 0x12, 0x22, 0x0a, 0x0c, 0x43, 0x6c, 0x69, 0x65, 0x6e,
	0x74, 0x53, 0x65, 0x63, 0x72, 0x65, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x43,
	0x6c, 0x69, 0x65, 0x6e, 0x74, 0x53, 0x65, 0x63, 0x72, 0x65, 0x74, 0x12, 0x24, 0x0a, 0x0d, 0x53,
	0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x18, 0x05, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0d, 0x53, 0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x4d, 0x65, 0x74, 0x68, 0x6f,
	0x64, 0x12, 0x4f, 0x0a, 0x12, 0x45, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x56, 0x61, 0x6c,
	0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e,
	0x70, 0x72, 0x6f, 0x78, 0x79, 0x2e, 0x4f, 0x61, 0x75, 0x74, 0x68, 0x32, 0x45, 0x78, 0x74, 0x65,
	0x72, 0x6e, 0x61, 0x6c, 0x56, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x12,
	0x45, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x56, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x12, 0x1a, 0x0a, 0x08, 0x43, 0x61, 0x6c, 0x6c, 0x62, 0x61, 0x63, 0x6b, 0x18, 0x07,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x43, 0x61, 0x6c, 0x6c, 0x62, 0x61, 0x63, 0x6b, 0x12, 0x14,
	0x0a, 0x05, 0x4c, 0x6f, 0x67, 0x69, 0x6e, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x4c,
	0x6f, 0x67, 0x69, 0x6e, 0x12, 0x16, 0x0a, 0x06, 0x4c, 0x6f, 0x67, 0x6f, 0x75, 0x74, 0x18, 0x09,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x4c, 0x6f, 0x67, 0x6f, 0x75, 0x74, 0x12, 0x22, 0x0a, 0x0c,
	0x6c, 0x6f, 0x67, 0x69, 0x6e, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x18, 0x0a, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0c, 0x6c, 0x6f, 0x67, 0x69, 0x6e, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73,
	0x22, 0xdc, 0x02, 0x0a, 0x0b, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x43, 0x68, 0x65, 0x63, 0x6b,
	0x12, 0x12, 0x0a, 0x04, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x4e, 0x61, 0x6d, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x54, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x04, 0x54, 0x79, 0x70, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x50, 0x61, 0x74, 0x68,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x50, 0x61, 0x74, 0x68, 0x12, 0x16, 0x0a, 0x06,
	0x53, 0x65, 0x63, 0x75, 0x72, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x53, 0x65,
	0x63, 0x75, 0x72, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x05, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x2e, 0x0a, 0x12, 0x49, 0x6e,
	0x73, 0x65, 0x63, 0x75, 0x72, 0x65, 0x53, 0x6b, 0x69, 0x70, 0x56, 0x65, 0x72, 0x69, 0x66, 0x79,
	0x18, 0x06, 0x20, 0x01, 0x28, 0x08, 0x52, 0x12, 0x49, 0x6e, 0x73, 0x65, 0x63, 0x75, 0x72, 0x65,
	0x53, 0x6b, 0x69, 0x70, 0x56, 0x65, 0x72, 0x69, 0x66, 0x79, 0x12, 0x36, 0x0a, 0x06, 0x4c, 0x61,
	0x62, 0x65, 0x6c, 0x73, 0x18, 0x07, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x70, 0x72, 0x6f,
	0x78, 0x79, 0x2e, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x2e, 0x4c,
	0x61, 0x62, 0x65, 0x6c, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x4c, 0x61, 0x62, 0x65,
	0x6c, 0x73, 0x12, 0x26, 0x0a, 0x0e, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x79, 0x43, 0x6f, 0x75,
	0x6e, 0x74, 0x65, 0x72, 0x18, 0x08, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0e, 0x48, 0x65, 0x61, 0x6c,
	0x74, 0x68, 0x79, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x65, 0x72, 0x12, 0x18, 0x0a, 0x07, 0x54, 0x69,
	0x6d, 0x65, 0x6f, 0x75, 0x74, 0x18, 0x09, 0x20, 0x01, 0x28, 0x05, 0x52, 0x07, 0x54, 0x69, 0x6d,
	0x65, 0x6f, 0x75, 0x74, 0x1a, 0x39, 0x0a, 0x0b, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45, 0x6e,
	0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22,
	0x5b, 0x0a, 0x17, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x65, 0x72, 0x4e, 0x65, 0x74, 0x77,
	0x6f, 0x72, 0x6b, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x12, 0x12, 0x0a, 0x04, 0x4e, 0x61,
	0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x0e,
	0x0a, 0x02, 0x49, 0x44, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x49, 0x44, 0x12, 0x1c,
	0x0a, 0x09, 0x49, 0x70, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x09, 0x49, 0x70, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x22, 0x57, 0x0a, 0x09,
	0x44, 0x69, 0x73, 0x63, 0x6f, 0x76, 0x65, 0x72, 0x79, 0x12, 0x16, 0x0a, 0x06, 0x45, 0x6e, 0x61,
	0x62, 0x6c, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x45, 0x6e, 0x61, 0x62, 0x6c,
	0x65, 0x12, 0x16, 0x0a, 0x06, 0x44, 0x72, 0x69, 0x76, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x06, 0x44, 0x72, 0x69, 0x76, 0x65, 0x72, 0x12, 0x1a, 0x0a, 0x08, 0x45, 0x78, 0x63,
	0x68, 0x61, 0x6e, 0x67, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x45, 0x78, 0x63,
	0x68, 0x61, 0x6e, 0x67, 0x65, 0x22, 0x8e, 0x01, 0x0a, 0x14, 0x56, 0x61, 0x6c, 0x69, 0x64, 0x61,
	0x74, 0x65, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x20,
	0x0a, 0x0b, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0b, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x54, 0x6f, 0x6b, 0x65, 0x6e,
	0x12, 0x1a, 0x0a, 0x08, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x08, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x12, 0x0a, 0x04,
	0x55, 0x55, 0x49, 0x44, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x55, 0x55, 0x49, 0x44,
	0x12, 0x12, 0x0a, 0x04, 0x50, 0x61, 0x74, 0x68, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x50, 0x61, 0x74, 0x68, 0x12, 0x10, 0x0a, 0x03, 0x54, 0x61, 0x67, 0x18, 0x05, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x03, 0x54, 0x61, 0x67, 0x22, 0xe9, 0x01, 0x0a, 0x15, 0x56, 0x61, 0x6c, 0x69, 0x64,
	0x61, 0x74, 0x65, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x14, 0x0a, 0x05, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x05, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x12, 0x2a, 0x0a, 0x10, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x44,
	0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x10, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x44, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69,
	0x6f, 0x6e, 0x12, 0x1a, 0x0a, 0x08, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x55, 0x72, 0x69, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x55, 0x72, 0x69, 0x12, 0x18,
	0x0a, 0x07, 0x45, 0x78, 0x70, 0x69, 0x72, 0x65, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52,
	0x07, 0x45, 0x78, 0x70, 0x69, 0x72, 0x65, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x47, 0x72, 0x70, 0x63,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x47, 0x72,
	0x70, 0x63, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x20, 0x0a, 0x0b, 0x47, 0x72, 0x70, 0x63,
	0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x47,
	0x72, 0x70, 0x63, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x53, 0x74,
	0x61, 0x74, 0x75, 0x73, 0x18, 0x07, 0x20, 0x01, 0x28, 0x05, 0x52, 0x06, 0x53, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x42, 0x39, 0x5a, 0x37, 0x63, 0x6f, 0x64, 0x65, 0x2e, 0x61, 0x66, 0x69, 0x73, 0x2e,
	0x6d, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x73, 0x2f, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x2f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x66, 0x61, 0x63,
	0x65, 0x73, 0x3b, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x66, 0x61, 0x63, 0x65, 0x73, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_messages_proto_rawDescOnce sync.Once
	file_messages_proto_rawDescData = file_messages_proto_rawDesc
)

func file_messages_proto_rawDescGZIP() []byte {
	file_messages_proto_rawDescOnce.Do(func() {
		file_messages_proto_rawDescData = protoimpl.X.CompressGZIP(file_messages_proto_rawDescData)
	})
	return file_messages_proto_rawDescData
}

var file_messages_proto_msgTypes = make([]protoimpl.MessageInfo, 29)
var file_messages_proto_goTypes = []interface{}{
	(*Routers)(nil),                  // 0: proxy.Routers
	(*Routing)(nil),                  // 1: proxy.Routing
	(*DockerDiscovery)(nil),          // 2: proxy.DockerDiscovery
	(*Backend)(nil),                  // 3: proxy.Backend
	(*Vault)(nil),                    // 4: proxy.Vault
	(*Listener)(nil),                 // 5: proxy.Listener
	(*Server)(nil),                   // 6: proxy.Server
	(*Transport)(nil),                // 7: proxy.Transport
	(*AuthConfig)(nil),               // 8: proxy.AuthConfig
	(*RouterAuth)(nil),               // 9: proxy.RouterAuth
	(*ProxyUrl)(nil),                 // 10: proxy.ProxyUrl
	(*Oauth2Url)(nil),                // 11: proxy.Oauth2Url
	(*Oauth2ExternalValidation)(nil), // 12: proxy.Oauth2ExternalValidation
	(*Oauth2Config)(nil),             // 13: proxy.Oauth2Config
	(*HealthCheck)(nil),              // 14: proxy.HealthCheck
	(*ContainerNetworkResults)(nil),  // 15: proxy.ContainerNetworkResults
	(*Discovery)(nil),                // 16: proxy.Discovery
	(*ValidateTokenRequest)(nil),     // 17: proxy.ValidateTokenRequest
	(*ValidateTokenResponse)(nil),    // 18: proxy.ValidateTokenResponse
	nil,                              // 19: proxy.Routers.LabelsEntry
	nil,                              // 20: proxy.Routing.LabelsEntry
	nil,                              // 21: proxy.Backend.LabelsEntry
	nil,                              // 22: proxy.Listener.LabelsEntry
	nil,                              // 23: proxy.Server.LabelsEntry
	nil,                              // 24: proxy.Transport.LabelsEntry
	nil,                              // 25: proxy.AuthConfig.LabelsEntry
	nil,                              // 26: proxy.RouterAuth.UsersEntry
	nil,                              // 27: proxy.RouterAuth.LabelsEntry
	nil,                              // 28: proxy.HealthCheck.LabelsEntry
}
var file_messages_proto_depIdxs = []int32{
	8,  // 0: proxy.Routers.AuthConfig:type_name -> proxy.AuthConfig
	19, // 1: proxy.Routers.Labels:type_name -> proxy.Routers.LabelsEntry
	0,  // 2: proxy.Routing.Routers:type_name -> proxy.Routers
	20, // 3: proxy.Routing.Labels:type_name -> proxy.Routing.LabelsEntry
	6,  // 4: proxy.Backend.Server:type_name -> proxy.Server
	21, // 5: proxy.Backend.Labels:type_name -> proxy.Backend.LabelsEntry
	2,  // 6: proxy.Backend.DockerDiscovery:type_name -> proxy.DockerDiscovery
	7,  // 7: proxy.Listener.TransportOption:type_name -> proxy.Transport
	22, // 8: proxy.Listener.Labels:type_name -> proxy.Listener.LabelsEntry
	4,  // 9: proxy.Listener.Vault:type_name -> proxy.Vault
	23, // 10: proxy.Server.Labels:type_name -> proxy.Server.LabelsEntry
	24, // 11: proxy.Transport.Labels:type_name -> proxy.Transport.LabelsEntry
	25, // 12: proxy.AuthConfig.Labels:type_name -> proxy.AuthConfig.LabelsEntry
	26, // 13: proxy.RouterAuth.Users:type_name -> proxy.RouterAuth.UsersEntry
	13, // 14: proxy.RouterAuth.Oauth2Config:type_name -> proxy.Oauth2Config
	27, // 15: proxy.RouterAuth.Labels:type_name -> proxy.RouterAuth.LabelsEntry
	11, // 16: proxy.Oauth2ExternalValidation.Validation:type_name -> proxy.Oauth2Url
	11, // 17: proxy.Oauth2Config.TokenEndpoint:type_name -> proxy.Oauth2Url
	12, // 18: proxy.Oauth2Config.ExternalValidation:type_name -> proxy.Oauth2ExternalValidation
	28, // 19: proxy.HealthCheck.Labels:type_name -> proxy.HealthCheck.LabelsEntry
	20, // [20:20] is the sub-list for method output_type
	20, // [20:20] is the sub-list for method input_type
	20, // [20:20] is the sub-list for extension type_name
	20, // [20:20] is the sub-list for extension extendee
	0,  // [0:20] is the sub-list for field type_name
}

func init() { file_messages_proto_init() }
func file_messages_proto_init() {
	if File_messages_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_messages_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Routers); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Routing); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DockerDiscovery); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Backend); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Vault); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Listener); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Server); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Transport); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AuthConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RouterAuth); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProxyUrl); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Oauth2Url); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Oauth2ExternalValidation); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Oauth2Config); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HealthCheck); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ContainerNetworkResults); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Discovery); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ValidateTokenRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_messages_proto_msgTypes[18].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ValidateTokenResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_messages_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   29,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_messages_proto_goTypes,
		DependencyIndexes: file_messages_proto_depIdxs,
		MessageInfos:      file_messages_proto_msgTypes,
	}.Build()
	File_messages_proto = out.File
	file_messages_proto_rawDesc = nil
	file_messages_proto_goTypes = nil
	file_messages_proto_depIdxs = nil
}
